Bug 199613 - make -C /etc/mail fails when it tries to find access.db.m4 instead of access_db.m4
make -C /etc/mail fails when it tries to find access.db.m4 instead of access_...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 15:13 EDT by Scott R. Godin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 11:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ls -Zl /etc/mail (1.75 KB, text/plain)
2006-07-21 12:49 EDT, Scott R. Godin
no flags Details
diff between clean sendmail.cf.rpmnew and my 'make'd one. (3.32 KB, text/plain)
2006-07-23 07:47 EDT, Scott R. Godin
no flags Details

  None (edit)
Description Scott R. Godin 2006-07-20 15:13:32 EDT
Description of problem:
sendmail.mc:22: m4: Cannot open /usr/share/sendmail-cf/feature/access.db.m4: No 
such file or directory

Version-Release number of selected component (if applicable):
sendmail-cf-8.13.7-2.fc5.1
sendmail-8.13.7-2.fc5.1

How reproducible:
every time

Steps to Reproduce:
1. edit sendmail.mc
2. make -C /etc/mail
3. 
  
Actual results:

2:56pm {4} localhost:/root># make -C /etc/mail
make: Entering directory `/etc/mail'
sendmail.mc:22: m4: Cannot open /usr/share/sendmail-cf/feature/access.db.m4: No 
such file or directory
make: Leaving directory `/etc/mail'
2:57pm {6} localhost:/root># ls /usr/share/sendmail-cf/feature/acces*
/usr/share/sendmail-cf/feature/access_db.m4

Expected results:
normal make

Additional info:

a quick (rpm -ql sendmail sendmail-cf |xargs grep access.db.m4) was unable to 
locate the errant file causing the error. I am unable to determine its cause.
Comment 1 Thomas Woerner 2006-07-21 05:21:31 EDT
There seems to be a reference to access.db in your local configuration.
Please check the content of /etc/mail.
Comment 2 Scott R. Godin 2006-07-21 12:49:21 EDT
Created attachment 132823 [details]
ls -Zl /etc/mail

well, there's a file 'access' which seems to create 'access.db' when you make
-C /etc/mail .. similar to how authinfo.db gets created if you have authinfo in
the directory.	I don't see any files in that directory that have the _db
instead of .db in the name. attached is an ls -Zl of /etc/mail (so you can see
the selinux contexts too)
Comment 3 Thomas Woerner 2006-07-21 13:24:50 EDT
Please make a "rpm -V sendmail" and "rpm -V sendmail-cf" on your system.

Do you use the refernce to /usr/share/sendmail-cf/feature/access.db.m4 somewhere 
in /etc/mail/X?
Comment 4 Scott R. Godin 2006-07-23 07:47:08 EDT
Created attachment 132880 [details]
diff between clean sendmail.cf.rpmnew and my 'make'd one. 

diff -u sendmail.cf.rpmnew sendmail.cf > sendmail-cf-current.diff
Comment 5 Scott R. Godin 2006-07-23 07:59:37 EDT
7:55am {11} localhost:/etc/mail># rpm -V sendmail
S.5....TC c /etc/mail/sendmail.cf
S.5....T. c /etc/mail/sendmail.mc
S.5....T. c /var/log/mail/statistics
7:56am {12} localhost:/etc/mail># rpm -V sendmail-cf
7:56am {13} localhost:/etc/mail>#

Obviously I've made changes to sendmail.mc and remade sendmail.cf. nothing else 
is changed. Diff attached above for your perusal. I can show you the changes in 
sendmail.mc instead, if you prefer (just let me know).

I don't see mention of the *.m4 file anywhere here: 
7:56am {13} localhost:/etc/mail># grep -r 'access.db' ./
./sendmail.cf.rpmnew:#####  $Id: access_db.m4,v 8.26 2004/06/24 18:10:02 ca Exp 
$  #####
./sendmail.cf.rpmnew:# access_db acceptance class
./sendmail.cf.rpmnew:Kaccess hash -T<TMPF> -o /etc/mail/access.db
./sendmail.cf.rpmnew:R<$+> $*           $#error $: $1           error from 
access db
./sendmail.cf.rpmnew:R<$+> $*           $#error $: $1           error from 
access db
./sendmail.cf.bak:#####  $Id: access_db.m4,v 8.26 2004/06/24 18:10:02 ca Exp $  
#####
./sendmail.cf.bak:# access_db acceptance class
./sendmail.cf.bak:Kaccess hash -T<TMPF> -o /etc/mail/access.db
./sendmail.cf.bak:R<$+> $*              $#error $: $1           error from 
access db
./sendmail.cf.bak:R<$+> $*              $#error $: $1           error from 
access db
./sendmail.cf:#####  $Id: access_db.m4,v 8.26 2004/06/24 18:10:02 ca Exp $  
#####
./sendmail.cf:# access_db acceptance class
./sendmail.cf:Kaccess hash -T<TMPF> -o /etc/mail/access.db
./sendmail.cf:R<$+> $*          $#error $: $1           error from access db
./sendmail.cf:R<$+> $*          $#error $: $1           error from access db
./sendmail.mc:FEATURE(`access.db')dnl
./sendmail.mc:FEATURE(`access_db',`hash -T<TMPF> -o /etc/mail/access.db')dnl
./access:# of the format of this file. (search for access_db in that file)
./Makefile:all: ${CFFILES} ${POSSIBLE} virtusertable.db access.db 
domaintable.db mailertable.db

I do notice a new version of sendmail just came down the pipeline though.. I 
can try remaking again right now, just to test.

8:03am {17} localhost:/etc/mail># touch sendmail.mc
8:03am {18} localhost:/etc/mail># make -C /etc/mail
make: Entering directory `/etc/mail'
sendmail.mc:22: m4: Cannot open /usr/share/sendmail-cf/feature/access.db.m4: No 
such file or directory
make: Leaving directory `/etc/mail'

nope, still same problem.

These are the versions now installed: 

8:03am {19} localhost:/etc/mail># rpm -q sendmail sendmail-cf
sendmail-8.13.7-2.fc5.2
sendmail-cf-8.13.7-2.fc5.2

I see we're updating version-release strings *after* the ".fc5" and not before, 
now? I'm like, "Wait, I just updated with yum, where's the ... *blink* .. oh, 
THERE? um... " =8) 
Comment 6 Thomas Woerner 2006-07-24 05:23:07 EDT
You have an additional FEATURE(`access.db')dnl in your sendmail.mc file. The
correct name for this feature is access_db. Just remove the wrong entry and it
will be working again.
Comment 7 Scott R. Godin 2006-07-24 11:07:20 EDT
so at this point in the sendmail.mc: 

FEATURE(`access.db')dnl
FEATURE(`authinfo', `hash -o /etc/mail/authinfo.db')dnl
define(`SMART_HOST', `mail.mhg2.com')dnl

I should just remove the line that has access.db in it entirely? That's what 
was causing this? argh ! :) now to figure out where the heck I read that, so I 
can have that bit of incorrect documentation fixed as well. (wherever it may 
be) I made that change a long while back, so wish me luck. heh.

Apologies for the confusion. :)

Note You need to log in before you can comment on or make changes to this bug.